For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
CommunityCreate AccountSign in
  • Overview
    • Welcome
    • Authentication
    • Using Environments
  • API Reference
      • GETList sheets
      • GETGet a sheet
      • DELDelete a sheet
      • POSTDuplicate a sheet
      • POSTValidate a sheet
      • GETDownload records as a CSV file
      • GETGet record counts
      • GETList calculations
      • GETGet commit versions for a sheet
      • POSTLock a sheet
      • POSTUnlock a sheet
      • GETGet record cells by field
      • PATCHUpdate a sheet
LogoLogo
LogoLogo
CommunityCreate AccountSign in
API ReferenceSheets

Get record counts

GET
https://api.x.flatfile.com/v1/sheets/:sheetId/counts
GET
/v1/sheets/:sheetId/counts
$curl -G https://api.x.flatfile.com/v1/sheets/us_sh_YOUR_ID/counts \
> -H "X-Disable-Hooks: true" \
> -H "Authorization: Bearer <token>" \
> -d versionId=us_vr_YOUR_ID
200Example0
1{
2 "data": {
3 "counts": {
4 "total": 1000,
5 "valid": 1000,
6 "error": 0
7 },
8 "success": true
9 }
10}
Returns counts of records from a sheet
Was this page helpful?
Previous

List calculations

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

sheetIdstringRequired
ID of sheet

Headers

X-Disable-Hooks"true"Required

Query parameters

versionIdstringOptional
Returns records that were changed in that version and only those records.
sinceVersionIdstringOptionalDeprecated

Deprecated, use sinceCommitId instead.

commitIdstringOptional
Returns records that were changed in that version in addition to any records from versions after that version.
sinceCommitIdstringOptional
Listing a commit ID here will return all records since the specified commit.
filterenumOptional
Options to filter records
Allowed values:
filterFieldstringOptional
The field to filter the data on.
searchValuestringOptional
The value to search for data on.
searchFieldstringOptional
The field to search for data on.
byFieldbooleanOptional
If true, the counts for each field will also be returned
qstringOptional
An FFQL query used to filter the result set to be counted

Response

This endpoint returns an object.
dataobject